Verified Commit 4adfb441 by flussence

Fix oil ebuild deps

And make sure blame is pointed to where blame is due.
parent 9ea63cbd
......@@ -16,9 +16,10 @@ IUSE="+readline"
RDEPEND="readline? ( sys-libs/readline:0 )"
DEPEND="${RDEPEND}
=sys-libs/glibc-2.25-r9"
# This only works with stable glibc due to bug 575232.
# The problem file is in a bundled python 2.7.13, if that gives anyone ideas on how to fix this
|| (
sys-libs/musl
sys-libs/glibc[vanilla(-)]
)"
S="${WORKDIR}/${MY_P}"
......
......@@ -11,3 +11,8 @@
# Anthony Parsons <flussence@gmail.com> (30 May 2017)
# Miscompiles when portage builds it; no idea how to fix.
dev-perl/CSS-Sass
# Anthony Parsons <flussence@gmail.com> (11 Feb 2018)
# Requires a sane glibc, which Gentoo does not provide out of the box for non-reasons.
# Bug 575232, bug 337561, bug 529984 etc.
app-shells/oil
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment